# $Revision: 1.14 $, $Date: 2002/08/08 13:25:04 $
Summary:	Generic logging layer
Summary(pl):	Podstawowa warstwa logujca
Name:		vanessa_logger
Version:	0.0.3
Release:	1
License:	LGPL
Group:		Libraries
Source0:	ftp://vergenet.net/pub/vanessa/vanessa_logger/0.0.3/%{name}-%{version}.tar.gz
URL:		http://vanessa.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Generic logging layer that may be used to log to one or more of
syslog, an open file handle or a file name. Though due to to
limitations in the implementation of syslog opening multiple syslog
loggers doesn't make sense. Includes the ability to limit which
messages will be logged based on priorities.

%description -l pl
Wsplna warstwa logujca, ktra moe by uyta do logowania do jednego
lub wicej spord: sysloga, uchwytu otwartego pliku lub nazwy pliku;
ale z powodu ograniczenia implementacji sysloga otwieranie wielu
loggerw nie ma sensu. Zawiera take moliwo limitowania, ktre
komunikaty bd logowane, na podstawie priorytetw.

%package devel
Summary:	Headers for vanessa_logger development
Summary(pl):	Pliki nagwkowe vanessa_logger
Group:		Development/Libraries
Requires:	%{name} = %{version}

%description devel
Headers required to develop against vanessa_logger.

%description devel -l pl
Pliki nagwkowe potrzebne do tworzenia programw uywajcych
vanessa_logger.

%package static
Summary:	Static libraries for vanessa_logger development
Summary(pl):	Biblioteki statyczne vanessa_logger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description static
Static libraries to develop against vanessa_logger.

%description static -l pl
Biblioteki statyczne vanessa_logger.

%package sample
Summary:	Example programme that demonstrates vanessa_logger
Summary(pl):	Przykadowy program demonstracyjny do vanessa_logger
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}

%description sample
Sample programme with source that demonstrates various features of
vanessa_logger.

%description sample -l pl
Przykadowy program (ze rdami), ktry demonstruje rne moliwoci
vanessa_logger.

%prep
%setup -q

%build
sed -e s/AC_PROG_RANLIB/AC_PROG_LIBTOOL/ configure.in > configure.in.tmp
mv -f configure.in.tmp configure.in

rm -f missing
%{__libtoolize}
aclocal
%{__autoconf}
%{__automake}
%configure
CFLAGS="%{rpmcflags}"
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_prefix}/{lib,bin,doc}}

%{__make} DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc README ChangeLog NEWS TODO
%attr(755,root,root) %{_libdir}/*.la
%attr(755,root,root) %{_libdir}/*.so
%attr(644,root,root) %{_includedir}/*.h

%files static
%defattr(644,root,root,755)
%{_libdir}/*.a

%files sample
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/*
%{_mandir}/man1/vanessa_logger_sample.*
%doc sample/*.c sample/*.h

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: vanessa_logger.spec,v $
Revision 1.14  2002/08/08 13:25:04  areq
- 0.0.3, STBR
- new %doc

Revision 1.13  2002/06/23 20:32:36  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.12  2002/05/21 23:14:53  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/03/24 23:28:26  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.10  2002/03/02 06:53:24  kloczek
- release 3: fixed Requires rule in sample subpackage sample.

Revision 1.9  2002/02/22 23:29:52  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/02/12 11:50:37  qboosh
- separated -static, fixed stupid dependencies

Revision 1.7  2002/02/12 11:35:12  kloczek
- release 2.

Revision 1.6  2002/02/12 11:22:08  qboosh
- added pl descriptions, removed sed from BR (required by rpm-build)

Revision 1.5  2002/02/12 02:00:54  kloczek
- adapterized.

Revision 1.4  2002/02/10 03:20:33  blues
- changed group of main package

Revision 1.3  2002/02/10 03:09:05  blues
- added post
- added provides

Revision 1.2  2002/02/10 02:56:44  blues
- files moved to devel
- adapterized

* Thu Apr 26 2001 Horms <horms@vergenet.net>
  Updated to "work" with Red Hat 7

* Sat Sep 15 2000 Horms <horms@vergenet.net>
- created for version 0.0.0
